package com.ztmap.project.zhny.netswdl.mapper;

import java.util.List;
import com.ztmap.project.zhny.netswdl.domain.TNetSwdl;

/**
 * 上网电量Mapper接口
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public interface TNetSwdlMapper 
{
    /**
     * 查询上网电量
     * 
     * @param id 上网电量ID
     * @return 上网电量
     */
    public TNetSwdl selectTNetSwdlById(Long id);

    /**
     * 查询上网电量列表
     * 
     * @param tNetSwdl 上网电量
     * @return 上网电量集合
     */
    public List<TNetSwdl> selectTNetSwdlList(TNetSwdl tNetSwdl);

    /**
     * 新增上网电量
     * 
     * @param tNetSwdl 上网电量
     * @return 结果
     */
    public int insertTNetSwdl(TNetSwdl tNetSwdl);

    /**
     * 修改上网电量
     * 
     * @param tNetSwdl 上网电量
     * @return 结果
     */
    public int updateTNetSwdl(TNetSwdl tNetSwdl);

    /**
     * 删除上网电量
     * 
     * @param id 上网电量ID
     * @return 结果
     */
    public int deleteTNetSwdlById(Long id);

    /**
     * 批量删除上网电量
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTNetSwdlByIds(String[] ids);
}
